---
lang: en
title: 'API docs: apiconnect.apiconnectcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/apiconnect
permalink: /doc/en/lb4/apidocs.apiconnect.apiconnectcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/apiconnect](./apiconnect.md) &gt; [ApiConnectComponent](./apiconnect.apiconnectcomponent.md)

## ApiConnectComponent class

<b>Signature:</b>

```typescript
export declare class ApiConnectComponent implements Component 
```
<b>Implements:</b> [Component](./core.component.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./apiconnect.apiconnectcomponent.bindings.md) |  | [Binding](./context.binding.md)<!-- -->\[\] |  |


